subroutine DERIVS(t)
use work
! Calculeaza membrii II ai ec. dif. de ordinul I
implicit real(8) (a-h,o-z)

! Ex. Dormand:
!      Fcn(1) = 1.0d0/y(1) - x**2 - 2.0d0/x**3
!      Fcn(2) = y(1)/y(2)**2 - 1.0d0/x - 0.5d0/SQRT(x**3)


f(1) = 1.0d0/xEnd(1) - t**2 - 2.0d0/t**3
f(2) = xEnd(1)/xEnd(2)**2 - 1.0d0/t - 0.5d0/dSQRT(t**3)


END subroutine DERIVS

